pulseaudio crashed with SIGSEGV in adjust_rates()

Bug #946400 reported by braykov
28
This bug affects 1 person
Affects Status Importance Assigned to Milestone
pulseaudio (Ubuntu)
Medium
Unassigned

Bug Description

I have the loopback module loaded on startup. It crashed after booting.

ProblemType: Crash
DistroRelease: Ubuntu 12.04
Package: pulseaudio 1:1.1-0ubuntu11
ProcVersionSignature: Ubuntu 3.2.0-17.27-generic 3.2.6
Uname: Linux 3.2.0-17-generic x86_64
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 1.94-0ubuntu1
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
   Subdevices: 1/2
   Subdevice #0: subdevice #0
   Subdevice #1: subdevice #1
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xfebdc000 irq 48'
   Mixer name : 'IDT 92HD73D1X5'
   Components : 'HDA:111d7674,102802ae,00100202'
   Controls : 41
   Simple ctrls : 22
Card1.Amixer.info:
 Card hw:1 'Generic'/'HD-Audio Generic at 0xfe9dc000 irq 49'
   Mixer name : 'ATI R6xx HDMI'
   Components : 'HDA:1002aa01,00aa0100,00100200'
   Controls : 6
   Simple ctrls : 1
Card1.Amixer.values:
 Simple mixer control 'IEC958',0
   Capabilities: pswitch pswitch-joined penum
   Playback channels: Mono
   Mono: Playback [on]
Date: Sun Mar 4 17:03:14 2012
ExecutablePath: /usr/bin/pulseaudio
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Alpha amd64 (20120201.1)
ProcCmdline: /usr/bin/pulseaudio --start --log-target=syslog
ProcEnviron:
 SHELL=/bin/false
 PATH=(custom, no user)
 LANGUAGE=en_US:en
 LANG=en_US.UTF-8
PulseSinks: Error: command ['pacmd', 'list-sinks'] failed with exit code 1: No PulseAudio daemon running, or not running as session daemon.
PulseSources: Error: command ['pacmd', 'list-sources'] failed with exit code 1: No PulseAudio daemon running, or not running as session daemon.
SegvAnalysis:
 Segfault happened at: 0x7fd40a9d1db7: mov 0x60(%rax),%rax
 PC (0x7fd40a9d1db7) ok
 source "0x60(%rax)" (0x00000060) not located in a known VMA region (needed readable region)!
 destination "%rax" ok
SegvReason: reading NULL VMA
Signal: 11
SourcePackage: pulseaudio
StacktraceTop:
 ?? () from /usr/lib/pulse-1.1/modules/module-loopback.so
 ?? () from /usr/lib/pulse-1.1/modules/module-loopback.so
 pa_asyncmsgq_flush () from /usr/lib/libpulsecore-1.1.so
 pa_thread_mq_done () from /usr/lib/libpulsecore-1.1.so
 module_null_sink_LTX_pa__done () from /usr/lib/pulse-1.1/modules/module-null-sink.so
Title: pulseaudio crashed with SIGSEGV in pa_asyncmsgq_flush()
UpgradeStatus: Upgraded to precise on 2012-03-04 (0 days ago)
UserGroups:

dmi.bios.date: 02/20/2009
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A01
dmi.board.name: 0G254H
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 7
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA01:bd02/20/2009:svnDellInc.:pnDellXPS430:pvr:rvnDellInc.:rn0G254H:rvrA00:cvnDellInc.:ct7:cvr:
dmi.product.name: Dell XPS430
dmi.sys.vendor: Dell Inc.
modified.conffile..etc.pulse.default.pa: [modified]
mtime.conffile..etc.pulse.default.pa: 2012-03-04T16:31:13.287106

Related branches

Revision history for this message
braykov (braykov) wrote :
Revision history for this message
Apport retracing service (apport) wrote :

StacktraceTop:
 adjust_rates (u=0x927130) at modules/module-loopback.c:166
 sink_input_process_msg_cb (obj=0x8ea910, code=10, data=0x0, offset=0, chunk=0x0) at modules/module-loopback.c:522
 pa_asyncmsgq_flush (a=0x8c2720, run=true) at pulsecore/asyncmsgq.c:347
 pa_thread_mq_done (q=0x8eda00) at pulsecore/thread-mq.c:107
 module_null_sink_LTX_pa__done (m=<optimized out>) at modules/module-null-sink.c:360

Revision history for this message
Apport retracing service (apport) wrote : Stacktrace.txt
Revision history for this message
Apport retracing service (apport) wrote : ThreadStacktrace.txt
Changed in pulseaudio (Ubuntu):
importance: Undecided → Medium
summary: - pulseaudio crashed with SIGSEGV in pa_asyncmsgq_flush()
+ pulseaudio crashed with SIGSEGV in adjust_rates()
tags: removed: need-amd64-retrace
visibility: private → public
Revision history for this message
David Henningsson (diwic) wrote :

Fails on u->source being null in module-loopback.c:166

Revision history for this message
David Henningsson (diwic) wrote :

Thanks for your bug report. I have now committed a patch which I believe will fix the problem. The next time the PA package is updated, this bug will hopefully be fixed.

Changed in pulseaudio (Ubuntu):
status: New → Fix Committed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pulseaudio - 1:1.1-0ubuntu13

---------------
pulseaudio (1:1.1-0ubuntu13) precise; urgency=low

  * 0020-daemon-Initialize-dbus-to-use-thread-safe-mode-by-de.patch:
    Make sure dbus is thread safe to avoid crashes in pa_make_realtime
    (LP: #937933)
  * 0111-protocol-native-Protect-against-clients-trying-to-se.patch:
    Don't crash if clients try to set a NULL port (LP: #951273)
  * 0021-Fix-input-device-for-M-audio-fasttrack-pro.patch:
    Probe two different input devices (LP: #569932)
  * 0112-module-loopback-Never-call-adjust_rates-after-teardo.patch:
    Don't crash on shutdown in module-loopback (LP: #946400)
  * 0619-module-switch-on-port-available-Do-not-switch-profil.patch:
    Prevent switching to HDMI profiles from analog profiles, as a result
    of discussion on the pulseaudio-discuss and ubuntu-audio-dev mailinglist.
 -- David Henningsson <email address hidden> Wed, 21 Mar 2012 10:47:33 +0100

Changed in pulseaudio (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers